computers.listComputerUsage
GET
/v1/computers/{computerId}/usage
const url = 'https://example.com/v1/computers/example/usage';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/computers/example/usage \ --header 'Authorization: Bearer <token>'Lists the times when a Computer ran, newest first. The provider bills them. OpenBot only records them.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”computerId
required
string
Responses
Section titled “Responses”Success
ComputerInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid
@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady
Media typeapplication/json
Any of:
object
_tag
required
string
ticket
required
string
reason
string
object
_tag
required
string
id
required
string
object
_tag
required
string
version
required
integer
executionId
string
object
_tag
required
string
feature
required
string
object
_tag
required
string
state
required
string
Example
{ "_tag": "Pending"}RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ComputerProviderFailed | ComputerExecutionFailed
ComputersUnavailable | AuthenticationUnavailable | RequestFailed